package ar.edu.unju.fi.poo.mavenJUnit5.manager;

import java.util.ArrayList;
import java.util.List;


import ar.edu.unju.fi.poo.mavenJUnit5.dominio.Alumno;
import ar.edu.unju.fi.poo.mavenJUnit5.exceptions.ModelException;
/**
 * 
 * @author HP
 *
 */
public class AlumnoManager {	
	private List<Alumno> listaAlumnos;
	
	public AlumnoManager(){
		listaAlumnos = new ArrayList<Alumno>();
	}
	
	public void agregarAlumno(Alumno alumno) throws ModelException{
		//FIXME debería utilizar una constante u otro medio en lugar del 2
		if(listaAlumnos.size() == 2)
			throw new ModelException("Se alcanzó el tope máximo de 2..."); 				
		listaAlumnos.add(alumno);		
	}
	
	public void eliminarAlumno(Alumno alumno){
		listaAlumnos.remove(alumno);
	}
	
	/**
	 * Busqueda de alumnos por nombre
	 * @param nombre
	 * @return
	 */
	public Alumno buscar(String nombre) {
		for(Alumno alumno: listaAlumnos) {
			if(alumno.getNombre().equalsIgnoreCase(nombre))
				return alumno;
		}
		return null;
	}
	
	public List<Alumno> listarActivos() {
		List<Alumno> resultado = new ArrayList<Alumno>();
		
		for(Alumno alumno: listaAlumnos) {
			if(alumno.getEstado())
				resultado.add(alumno);
		}
		return resultado;
	}
	
}
